From 774fd5293989b8cfd5f985dce00d215b14eb57a9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 04 2021 04:58:04 +0000
Subject: [PATCH 2037/2232] Add test of lifetime elision on const member


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 5ac461c..10e16a6 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -222,6 +222,8 @@ pub mod ffi {
 
         #[rust_name = "c_return_borrow_elided"]
         fn c_return_borrow(s: &CxxString) -> UniquePtr<Borrow>;
+
+        fn const_member(self: &Borrow);
     }
 
     #[repr(u32)]
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 57c48f5..d80785d 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -209,6 +209,8 @@ Enum c_return_enum(uint16_t n) {
 
 Borrow::Borrow(const std::string &s) : s(s) {}
 
+void Borrow::const_member() const {}
+
 std::unique_ptr<Borrow> c_return_borrow(const std::string &s) {
   return std::unique_ptr<Borrow>(new Borrow(s));
 }
diff --git a/tests/ffi/tests.h b/tests/ffi/tests.h
index 4492286..cd265d4 100644
--- a/tests/ffi/tests.h
+++ b/tests/ffi/tests.h
@@ -79,6 +79,7 @@ enum COwnedEnum {
 
 struct Borrow {
   Borrow(const std::string &s);
+  void const_member() const;
   const std::string &s;
 };
 

